#include "EI_Dialog.h"
#include "EI_Control.h"
#include "PluginClient.h"
#include "PluginUtils.h"
#include "EI_ResourceFile.h"

#define DLG_INTERFACE		21000
#define ID_MODE				3
#define ID_TEXT				4

#define pluginName			"StubXP"
#define resourceName		"StubXP.rsc"

#define pluginType			'STUB'
#define pluginVersion		0x00000001			
#define pluginCopyright		PS("Copyright  1991-2005 ElectricImage, Inc.")
#define pluginAuthor		PS("Igors")
#define pluginDescription	PS("XP imitator")
#define pluginPermission	BIT(pluginProjectInfoFlag) | BIT(pluginPermissionModeless)

#define	TEST_MODE_0			0
#define	TEST_MODE_1			1
#define	TEST_MODE_2			2

// global variables

extern OSType theCreator;
extern long theError;
extern PluginInfoRec * theInfo;
extern EIPluginRoutine theHostProc;

struct CControlData {
	long mMode;
};

// prototypes
Boolean HostCall	( OSType cmd, long size, void * data );
void 	Initialize	( void );
void 	Information ( void );
void 	ModelSetup	( void );
void 	Interface	( void );
void 	ProjectInfo	( void );

CControlData * GetControlData( void );
