#ifndef		EI_RESOURCE_FILE_H
#define		EI_RESOURCE_FILE_H

#ifndef		EI_TYPES_H
#include	"EI_Types.h"
#endif

#ifdef		__cplusplus
extern "C" {
#endif

EI_ResourceFile *EI_OpenResourceFile(const EI_FileRef *iFileRef);
void EI_CloseResourceFile(EI_ResourceFile *iResourceFile);

void *EI_GetResource(EI_ResourceFile *iResourceFile,
						unsigned long iResourceType,
						int iResourceID,
						long *oResourceSize);

void EI_ReleaseResource(void *iResource);

#ifdef		__cplusplus
}
#endif

#endif
