#ifndef		EI_OPEN_GL_H
#define		EI_OPEN_GL_H

#ifndef		EI_TYPES_H
#include	"EI_Types.h"
#endif

#ifdef		__cplusplus
extern "C" {
#endif

void EI_SetGLDrawFunction(EI_Control *ioControl,
							EI_GLDrawFunction iFunction);
void EI_SetGLClickFunction(EI_Control *ioControl,
							EI_GLClickFunction iFunction);
void EI_SetGLControlMouseMoved(EI_Control *ioControl,
								EI_GLMouseMovedFunction iFunction);

int EI_BeginGLDrawing(const EI_Control *iControl);
void EI_EndGLDrawing(const EI_Control *iControl);

void EI_WindowToGL(const EI_Dialog *iDialog,
					int *ioX,
					int *ioY);
void EI_GLToWindow(const EI_Dialog *iDialog,
					int *ioX,
					int *ioY);

#ifdef		__cplusplus
}
#endif

#endif
