#ifndef __MMX_Noise_h__
#define __MMX_Noise_h__

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __MMX__

#define MMX_EMMS()	{_asm{emms}}

typedef void *(*MMX_NoiseMallocFunction)(unsigned long theSize);	// BMB XCODE was ulong
typedef void (*MMX_NoiseFreeFunction)(void *thePtr);

bool MMX_InitNoise(MMX_NoiseMallocFunction noiseMalloc, unsigned long seed);	// BMB XCODE was ulong
void MMX_FinishNoise(MMX_NoiseFreeFunction noiseFree);
long MMX_Noise(long x, long y, long z);
long MMX_Noise2(long x, long y, long z);
long MMX_DNoise2(long x, long y, long z, long *aNum, long *bNum, long *cNum);

#endif

#ifdef __cplusplus
}
#endif

#endif
