#ifndef		EI_QUICKTIME_H
#define		EI_QUICKTIME_H

#ifndef		ENV_OS_H
#include	"Env_OS.h"
#endif

//	This file can only be used on systems with the QuickTime SDK installed.
#if		ENV_WINDOWS || ENV_MAC

#ifndef		EI_TYPES_H
#include	"EI_Types.h"
#endif

#include	"Files.h"
#include	"MacWindows.h"
#include	"QDOffscreen.h"

#ifdef		__cplusplus
extern "C" {
#endif

void EI_GetDialogFrameOffset(const EI_Dialog *iDialog,
								int *oOffsetX,
								int *oOffsetY);

int EI_FileRefToFSSpec(const EI_FileRef *iFileRef,
						FSSpec *oFSSpec);

int EI_DialogToWindowPtr(EI_Dialog *iDialog,
							WindowPtr *oWindowPtr);

int EI_ImageBufferToGWorld(EI_ImageBuffer *iImageBuffer,
							GWorldPtr *oGWorld);

#ifdef		__cplusplus
}
#endif

#endif

#endif
